function RMSD=fitness1(params)
global accpred  data model nrep

%PARAMETERS: w, alpha(LL), tau, thresh

%params(indices)=fitparams;

%This was for NEMO Exp2
%w=params(1:3); 
%alpha=params(4:5);
%tau=params(6);
%thresh=params(7);
%var=[params(8:10)';params(11:13)'];
%beta=params(14);

w=0.01;
alpha=[params(1);1.0];
tau=params(2);
thresh=params(3);
var=[params(4); params(5)];
if (model>=4) beta=0; else beta=params(6); end

%make correlated random variables
%V=[.5 .2 .2; .2 .5 .2; .2 .2 .5]
%R=chol(V);
%Z=randn(3,10000);
%T=R'*Z;
% Note that cov(T')=V

%MAKE PROBABILISTIC CHOICE RULE!

%BOOKKEEPING
N=length(data);
sumsim=zeros(N,1);
answer=0;
z=zeros(N,1);
zsum=zeros(N,1);

%LOAD IN DATA

%This was for NEMO Exp2
%accuracy=data(:,1);
%accuracy_err=data(:,2);
%rt=data(:,3);
%rt_err=data(:,4);
%ll=data(:,5);
%sp=data(:,6);

%This is for Roving2
targetlure=data(:,1); %target = 1, lure =0
%sp=data(:,2);
pyes=data(:,6);
accuracy=1-pyes;
accuracy(find(targetlure))=pyes(find(targetlure));

%For Roving data, accuracy is P(Yes)
%rt=data(:,7);

%MAIN LOOP
for rep=1:nrep
    %Do the experiment nrep times
    for i=1:N
        probe=[data(i,5)];
	study=[data(i,3);data(i,4)]+randn(2,1).*var; %Add gaussian noise to the two study items, LL=2, NDIM=3;
	sumsim(i)=alpha(1)* exp(-tau*(norm([(probe-study(1,:))].*w')))+alpha(2)* exp(-tau*(norm([(probe-study(2,:))].*w')))+...
	    + beta*exp(-tau*(norm([(study(2,:)-study(1,:))].*w')));
    end
    %Tabulate NEMO's accuracy
    z=((sumsim>thresh) & (targetlure==1)) | ((sumsim<thresh) & (targetlure==0));
    zsum=zsum+z;
end
%COMPARE PREDICTED AND OBSERVED, COMPUTE RMSD
accpred=zsum/nrep;
RMSD=sqrt(sum((accuracy-accpred).^2)/N);

